Create
1 min
Create Booking
Provides the TPS Partner the full reservation payload generated by Bakuun, containing booking status, stay dates, room and rate information, guest profiles, payment details, and total charges.
POST
https://wsb.bakuun.com/v1/booking/PushReservationApi/TPSXX
Body Parameters
- usernamestringrequiredDescription
- passwordstringrequiredDescription
- partnerIdstringrequiredDescription
- partnerNamestringrequiredDescription
- actionstringrequiredDescription
- reservationDetailobjectrequired
- propertyIdstringrequiredDescription
- propertyNamestringrequiredDescription
- reservationStatusstringrequiredDescription
- checkInstringrequiredDescription
- checkOutstringrequiredDescription
- paymentMethodstringrequiredDescription
- currencyCodestringrequiredDescription
- totalAdultstringrequiredDescription
- totalChildstringrequiredDescription
- childAgesobjectrequiredDescription
- totalBabystringrequiredDescription
- babyAgesobjectrequiredDescription
- roomStaysobjectrequired
- roomIdstringrequiredDescription
- roomNamestringrequiredDescription
- roomTypestringrequiredDescription
- numberOfUnitsstringrequiredDescription
- rateIdstringrequiredDescription
- cancelPolicystringrequiredDescription
- adultCountstringrequiredDescription
- childCountstringrequiredDescription
- childAgesobjectrequiredDescription
- babyCountstringrequiredDescription
- babyAgesobjectrequiredDescription
- roomIndexstringrequiredDescription
- resGuestRPHstringrequiredDescription
- bookingPerDayPricesobjectrequiredDescription
- dateYmdstringrequiredDescription
- pricestringrequiredDescription
- totalobjectrequired
- amountAfterTaxesstringrequiredDescription
- amountBeforeTaxesstringrequiredDescription
- roomIncServicesobjectrequired
- serviceIdstring
- incServiceNamestring
- inclusionstring
- priceExtrastring
- guestDetailsobjectrequiredDescription
- resGuestRPHstringrequiredDescription
- firstNamestringrequiredDescription
- lastNamestringrequiredDescription
- middleNamestringrequiredDescription
- emailstringrequiredDescription
- phonestringrequiredDescription
- addressstringrequiredDescription
- countrystringrequiredDescription
- commentobjectrequired
- textstringrequired
- paymentCardobjectrequired
- cardHolderNamestringrequiredDescription
- cardTypestringrequiredDescription
- cardCategorystringrequiredDescription
- cardNumberstringrequiredDescription
- expiryMonthstringrequiredDescription
- expiryYearstringrequiredDescription
- startDayMonthstringrequiredDescription
- startDayYearstringrequiredDescription
- issueNumstringrequiredDescription
- vccBalancestringrequiredDescription
- vccCurrencyCodestringrequiredDescription
- vccDeactivationDatestringrequiredDescription
- vccActivationDatestringrequiredDescription
- seriesCodestringrequired
- totalChargeobjectrequired
- taxDetailsobjectrequiredDescription
- typeTaxstringrequiredDescription
- includesstringrequiredDescription
- taxPricestringrequiredDescription
- taxDetailsstringrequiredDescription
- priceDetailsobjectrequiredDescription
- amountAfterTaxesstringrequiredDescription
- amountBeforeTaxesstringrequiredDescription
- reservationIdstringrequiredDescription
Response
- successboolean
json
{
"username": "String",
"password": "String",
"partnerId": "String",
"partnerName": "String",
"action": "getBooking",
"reservationDetail": [
{
"propertyId": "String",
"propertyName": "String",
"reservationId": "String",
"reservationStatus": "New",
"checkIn": "YYYY-MM-DDTHH:MM",
"checkOut": "YYYY-MM-DDTHH:MM",
"paymentMethod": "String",
"currencyCode": "String",
"totalAdult": "String",
"totalChild": "String",
"childAges": [
"1",
"2"
],
"totalBaby": "String",
"babyAges": [
"1",
"2"
],
"roomStays": [
{
"roomId": "String",
"roomName": "String",
"roomType": "String",
"numberOfUnits": "String",
"rateId": "String",
"cancelPolicy": "String",
"adultCount": "String",
"childCount": "String",
"childAges": [
"1",
"2"
],
"babyCount": "String",
"babyAges": [
"1",
"2"
],
"roomIndex": "String",
"resGuestRPH": "String",
"bookingPerDayPrices": [
{
"dateYmd": "YYYY-MM-DD",
"price": "XXX.XX"
}
],
"total": {
"amountAfterTaxes": "XXX.XX",
"amountBeforeTaxes": "XXX.XX"
},
"roomIncServices": [
{
"serviceId": "String",
"incServiceName": "String",
"inclusion": "Number",
"priceExtra": "XXX.XX"
}
]
}
],
"guestDetails": [
{
"resGuestRPH": "String",
"firstName": "String",
"lastName": "String",
"middleName": "String",
"email": "String",
"phone": "String",
"address": "String",
"country": "String"
}
],
"comment": {
"text": "String"
},
"paymentCard": {
"cardHolderName": "String",
"cardType": "String",
"cardCategory": "String",
"cardNumber": "String",
"expiryMonth": "String",
"expiryYear": "String",
"startDayMonth": "String",
"startDayYear": "String",
"issueNum": "String",
"seriesCode": "String",
"vccBalance": "String",
"vccCurrencyCode": "String",
"vccDeactivationDate": "YYYY-MM-DD",
"vccActivationDate": "YYYY-MM-DD"
},
"totalCharge": [
{
"taxDetails": {
"typeTax": "String",
"includes": "String",
"taxPrice": "XX.XX",
"taxDetails": "String"
},
"priceDetails": [
{
"amountAfterTaxes": "XXX.XX",
"amountBeforeTaxes": "XXX.XX"
}
]
}
]
}
]
}curl
curl --location 'https://wsb.bakuun.com/v1/booking/PushReservationApi/CPBXX' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data '{
"username": "String",
"password": "String",
"partnerId": "String",
"action": "String",
"reservationDetail": {
"propertyID": "",
"propertyName": "",
"reservationID": "",
"reservationStatus": "",
"checkIn": "",
"checkOut": "",
"paymentMethod": "",
"currencyCode": "",
"totalAdult": "",
"totalChild": "",
"childAges": {},
"totalBaby": "",
"babyAges": {},
"roomStays": {
"roomId": "",
"roomName": "",
"roomType": "",
"numberOfUnits": "",
"rateId": "",
"cancelPolicy": "",
"adultCount": "",
"childCount": "",
"childAges": [],
"babyCount": "",
"babyAges": [],
"roomIndex": "",
"resGuestRPH": "",
"bookingPerDayPrices": {
"dateYmd": "",
"price": ""
},
"total": {
"amountAfterTaxes": "",
"amountBeforeTaxes": ""
},
"roomIncServices": []
},
"guestDetails": {
"resGuestRPH": "",
"firstName": "",
"lastName": "",
"middleName": "",
"email": "",
"phone": "",
"address": "",
"country": ""
},
"comment": {
"text": ""
},
"paymentCard": {
"cardHolderName": "",
"cardType": "",
"cardCategory": "",
"cardNumber": "",
"expiryMonth": "",
"expiryYear": "",
"startDayMonth": "",
"startDayYear": "",
"issueNum": "",
"vccBalance": "",
"vccCurrencyCode": "",
"vccDeactivationDate": "",
"vccActivationDate": ""
},
"totalCharge": {
"taxDetails": {
"typeTax": "",
"includes": "",
"taxPrice": "",
"taxDetails": ""
},
"priceDetails": {
"amountAfterTaxes": "",
"amountBeforeTaxes": ""
}
}
}
}'nodejs
var request = require('request');
var options = {
'method': 'POST',
'url': 'https://wsb.bakuun.com/v1/booking/PushReservationApi/CPBXX',
'headers': {
'Accept': 'application/json',
'Content-Type': 'application/json'
},
body: JSON.stringify({
"username": "String",
"password": "String",
"partnerId": "String",
"action": "String",
"reservationDetail": {
"propertyID": "",
"propertyName": "",
"reservationID": "",
"reservationStatus": "",
"checkIn": "",
"checkOut": "",
"paymentMethod": "",
"currencyCode": "",
"totalAdult": "",
"totalChild": "",
"childAges": {},
"totalBaby": "",
"babyAges": {},
"roomStays": {
"roomId": "",
"roomName": "",
"roomType": "",
"numberOfUnits": "",
"rateId": "",
"cancelPolicy": "",
"adultCount": "",
"childCount": "",
"childAges": [],
"babyCount": "",
"babyAges": [],
"roomIndex": "",
"resGuestRPH": "",
"bookingPerDayPrices": {
"dateYmd": "",
"price": ""
},
"total": {
"amountAfterTaxes": "",
"amountBeforeTaxes": ""
},
"roomIncServices": []
},
"guestDetails": {
"resGuestRPH": "",
"firstName": "",
"lastName": "",
"middleName": "",
"email": "",
"phone": "",
"address": "",
"country": ""
},
"comment": {
"text": ""
},
"paymentCard": {
"cardHolderName": "",
"cardType": "",
"cardCategory": "",
"cardNumber": "",
"expiryMonth": "",
"expiryYear": "",
"startDayMonth": "",
"startDayYear": "",
"issueNum": "",
"vccBalance": "",
"vccCurrencyCode": "",
"vccDeactivationDate": "",
"vccActivationDate": ""
},
"totalCharge": {
"taxDetails": {
"typeTax": "",
"includes": "",
"taxPrice": "",
"taxDetails": ""
},
"priceDetails": {
"amountAfterTaxes": "",
"amountBeforeTaxes": ""
}
}
}
})
};
request(options, function (error, response) {
if (error) throw new Error(error);
console.log(response.body);
});
javascript
var myHeaders = new Headers();
myHeaders.append("Accept", "application/json");
myHeaders.append("Content-Type", "application/json");
var raw = JSON.stringify({
"username": "String",
"password": "String",
"partnerId": "String",
"action": "String",
"reservationDetail": {
"propertyID": "",
"propertyName": "",
"reservationID": "",
"reservationStatus": "",
"checkIn": "",
"checkOut": "",
"paymentMethod": "",
"currencyCode": "",
"totalAdult": "",
"totalChild": "",
"childAges": {},
"totalBaby": "",
"babyAges": {},
"roomStays": {
"roomId": "",
"roomName": "",
"roomType": "",
"numberOfUnits": "",
"rateId": "",
"cancelPolicy": "",
"adultCount": "",
"childCount": "",
"childAges": [],
"babyCount": "",
"babyAges": [],
"roomIndex": "",
"resGuestRPH": "",
"bookingPerDayPrices": {
"dateYmd": "",
"price": ""
},
"total": {
"amountAfterTaxes": "",
"amountBeforeTaxes": ""
},
"roomIncServices": []
},
"guestDetails": {
"resGuestRPH": "",
"firstName": "",
"lastName": "",
"middleName": "",
"email": "",
"phone": "",
"address": "",
"country": ""
},
"comment": {
"text": ""
},
"paymentCard": {
"cardHolderName": "",
"cardType": "",
"cardCategory": "",
"cardNumber": "",
"expiryMonth": "",
"expiryYear": "",
"startDayMonth": "",
"startDayYear": "",
"issueNum": "",
"vccBalance": "",
"vccCurrencyCode": "",
"vccDeactivationDate": "",
"vccActivationDate": ""
},
"totalCharge": {
"taxDetails": {
"typeTax": "",
"includes": "",
"taxPrice": "",
"taxDetails": ""
},
"priceDetails": {
"amountAfterTaxes": "",
"amountBeforeTaxes": ""
}
}
}
});
var requestOptions = {
method: 'POST',
headers: myHeaders,
body: raw,
redirect: 'follow'
};
fetch("https://wsb.bakuun.com/v1/booking/PushReservationApi/CPBXX", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));python
import requests
import json
url = "https://wsb.bakuun.com/v1/booking/PushReservationApi/CPBXX"
payload = json.dumps({
"username": "String",
"password": "String",
"partnerId": "String",
"action": "String",
"reservationDetail": {
"propertyID": "",
"propertyName": "",
"reservationID": "",
"reservationStatus": "",
"checkIn": "",
"checkOut": "",
"paymentMethod": "",
"currencyCode": "",
"totalAdult": "",
"totalChild": "",
"childAges": {},
"totalBaby": "",
"babyAges": {},
"roomStays": {
"roomId": "",
"roomName": "",
"roomType": "",
"numberOfUnits": "",
"rateId": "",
"cancelPolicy": "",
"adultCount": "",
"childCount": "",
"childAges": [],
"babyCount": "",
"babyAges": [],
"roomIndex": "",
"resGuestRPH": "",
"bookingPerDayPrices": {
"dateYmd": "",
"price": ""
},
"total": {
"amountAfterTaxes": "",
"amountBeforeTaxes": ""
},
"roomIncServices": []
},
"guestDetails": {
"resGuestRPH": "",
"firstName": "",
"lastName": "",
"middleName": "",
"email": "",
"phone": "",
"address": "",
"country": ""
},
"comment": {
"text": ""
},
"paymentCard": {
"cardHolderName": "",
"cardType": "",
"cardCategory": "",
"cardNumber": "",
"expiryMonth": "",
"expiryYear": "",
"startDayMonth": "",
"startDayYear": "",
"issueNum": "",
"vccBalance": "",
"vccCurrencyCode": "",
"vccDeactivationDate": "",
"vccActivationDate": ""
},
"totalCharge": {
"taxDetails": {
"typeTax": "",
"includes": "",
"taxPrice": "",
"taxDetails": ""
},
"priceDetails": {
"amountAfterTaxes": "",
"amountBeforeTaxes": ""
}
}
}
})
headers = {
'Accept': 'application/json',
'Content-Type': 'application/json'
}
response = requests.request("POST", url, headers=headers, data=payload)
print(response.text)
ruby
require "uri"
require "json"
require "net/http"
url = URI("https://wsb.bakuun.com/v1/booking/PushReservationApi/CPBXX")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Accept"] = "application/json"
request["Content-Type"] = "application/json"
request.body = JSON.dump({
"username": "String",
"password": "String",
"partnerId": "String",
"action": "String",
"reservationDetail": {
"propertyID": "",
"propertyName": "",
"reservationID": "",
"reservationStatus": "",
"checkIn": "",
"checkOut": "",
"paymentMethod": "",
"currencyCode": "",
"totalAdult": "",
"totalChild": "",
"childAges": {},
"totalBaby": "",
"babyAges": {},
"roomStays": {
"roomId": "",
"roomName": "",
"roomType": "",
"numberOfUnits": "",
"rateId": "",
"cancelPolicy": "",
"adultCount": "",
"childCount": "",
"childAges": [],
"babyCount": "",
"babyAges": [],
"roomIndex": "",
"resGuestRPH": "",
"bookingPerDayPrices": {
"dateYmd": "",
"price": ""
},
"total": {
"amountAfterTaxes": "",
"amountBeforeTaxes": ""
},
"roomIncServices": []
},
"guestDetails": {
"resGuestRPH": "",
"firstName": "",
"lastName": "",
"middleName": "",
"email": "",
"phone": "",
"address": "",
"country": ""
},
"comment": {
"text": ""
},
"paymentCard": {
"cardHolderName": "",
"cardType": "",
"cardCategory": "",
"cardNumber": "",
"expiryMonth": "",
"expiryYear": "",
"startDayMonth": "",
"startDayYear": "",
"issueNum": "",
"vccBalance": "",
"vccCurrencyCode": "",
"vccDeactivationDate": "",
"vccActivationDate": ""
},
"totalCharge": {
"taxDetails": {
"typeTax": "",
"includes": "",
"taxPrice": "",
"taxDetails": ""
},
"priceDetails": {
"amountAfterTaxes": "",
"amountBeforeTaxes": ""
}
}
}
})
response = https.request(request)
puts response.read_body
curl
curl --location 'https://wsb.bakuun.com/v1/booking/PushReservationApi/CPBXX' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data '{
"username": "String",
"password": "String",
"partnerId": "String",
"action": "String",
"reservationDetail": {
"propertyID": "",
"propertyName": "",
"reservationID": "",
"reservationStatus": "",
"checkIn": "",
"checkOut": "",
"paymentMethod": "",
"currencyCode": "",
"totalAdult": "",
"totalChild": "",
"childAges": {},
"totalBaby": "",
"babyAges": {},
"roomStays": {
"roomId": "",
"roomName": "",
"roomType": "",
"numberOfUnits": "",
"rateId": "",
"cancelPolicy": "",
"adultCount": "",
"childCount": "",
"childAges": [],
"babyCount": "",
"babyAges": [],
"roomIndex": "",
"resGuestRPH": "",
"bookingPerDayPrices": {
"dateYmd": "",
"price": ""
},
"total": {
"amountAfterTaxes": "",
"amountBeforeTaxes": ""
},
"roomIncServices": []
},
"guestDetails": {
"resGuestRPH": "",
"firstName": "",
"lastName": "",
"middleName": "",
"email": "",
"phone": "",
"address": "",
"country": ""
},
"comment": {
"text": ""
},
"paymentCard": {
"cardHolderName": "",
"cardType": "",
"cardCategory": "",
"cardNumber": "",
"expiryMonth": "",
"expiryYear": "",
"startDayMonth": "",
"startDayYear": "",
"issueNum": "",
"vccBalance": "",
"vccCurrencyCode": "",
"vccDeactivationDate": "",
"vccActivationDate": ""
},
"totalCharge": {
"taxDetails": {
"typeTax": "",
"includes": "",
"taxPrice": "",
"taxDetails": ""
},
"priceDetails": {
"amountAfterTaxes": "",
"amountBeforeTaxes": ""
}
}
}
}'nodejs
var request = require('request');
var options = {
'method': 'POST',
'url': 'https://wsb.bakuun.com/v1/booking/PushReservationApi/CPBXX',
'headers': {
'Accept': 'application/json',
'Content-Type': 'application/json'
},
body: JSON.stringify({
"username": "String",
"password": "String",
"partnerId": "String",
"action": "String",
"reservationDetail": {
"propertyID": "",
"propertyName": "",
"reservationID": "",
"reservationStatus": "",
"checkIn": "",
"checkOut": "",
"paymentMethod": "",
"currencyCode": "",
"totalAdult": "",
"totalChild": "",
"childAges": {},
"totalBaby": "",
"babyAges": {},
"roomStays": {
"roomId": "",
"roomName": "",
"roomType": "",
"numberOfUnits": "",
"rateId": "",
"cancelPolicy": "",
"adultCount": "",
"childCount": "",
"childAges": [],
"babyCount": "",
"babyAges": [],
"roomIndex": "",
"resGuestRPH": "",
"bookingPerDayPrices": {
"dateYmd": "",
"price": ""
},
"total": {
"amountAfterTaxes": "",
"amountBeforeTaxes": ""
},
"roomIncServices": []
},
"guestDetails": {
"resGuestRPH": "",
"firstName": "",
"lastName": "",
"middleName": "",
"email": "",
"phone": "",
"address": "",
"country": ""
},
"comment": {
"text": ""
},
"paymentCard": {
"cardHolderName": "",
"cardType": "",
"cardCategory": "",
"cardNumber": "",
"expiryMonth": "",
"expiryYear": "",
"startDayMonth": "",
"startDayYear": "",
"issueNum": "",
"vccBalance": "",
"vccCurrencyCode": "",
"vccDeactivationDate": "",
"vccActivationDate": ""
},
"totalCharge": {
"taxDetails": {
"typeTax": "",
"includes": "",
"taxPrice": "",
"taxDetails": ""
},
"priceDetails": {
"amountAfterTaxes": "",
"amountBeforeTaxes": ""
}
}
}
})
};
request(options, function (error, response) {
if (error) throw new Error(error);
console.log(response.body);
});
javascript
var myHeaders = new Headers();
myHeaders.append("Accept", "application/json");
myHeaders.append("Content-Type", "application/json");
var raw = JSON.stringify({
"username": "String",
"password": "String",
"partnerId": "String",
"action": "String",
"reservationDetail": {
"propertyID": "",
"propertyName": "",
"reservationID": "",
"reservationStatus": "",
"checkIn": "",
"checkOut": "",
"paymentMethod": "",
"currencyCode": "",
"totalAdult": "",
"totalChild": "",
"childAges": {},
"totalBaby": "",
"babyAges": {},
"roomStays": {
"roomId": "",
"roomName": "",
"roomType": "",
"numberOfUnits": "",
"rateId": "",
"cancelPolicy": "",
"adultCount": "",
"childCount": "",
"childAges": [],
"babyCount": "",
"babyAges": [],
"roomIndex": "",
"resGuestRPH": "",
"bookingPerDayPrices": {
"dateYmd": "",
"price": ""
},
"total": {
"amountAfterTaxes": "",
"amountBeforeTaxes": ""
},
"roomIncServices": []
},
"guestDetails": {
"resGuestRPH": "",
"firstName": "",
"lastName": "",
"middleName": "",
"email": "",
"phone": "",
"address": "",
"country": ""
},
"comment": {
"text": ""
},
"paymentCard": {
"cardHolderName": "",
"cardType": "",
"cardCategory": "",
"cardNumber": "",
"expiryMonth": "",
"expiryYear": "",
"startDayMonth": "",
"startDayYear": "",
"issueNum": "",
"vccBalance": "",
"vccCurrencyCode": "",
"vccDeactivationDate": "",
"vccActivationDate": ""
},
"totalCharge": {
"taxDetails": {
"typeTax": "",
"includes": "",
"taxPrice": "",
"taxDetails": ""
},
"priceDetails": {
"amountAfterTaxes": "",
"amountBeforeTaxes": ""
}
}
}
});
var requestOptions = {
method: 'POST',
headers: myHeaders,
body: raw,
redirect: 'follow'
};
fetch("https://wsb.bakuun.com/v1/booking/PushReservationApi/CPBXX", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));python
import requests
import json
url = "https://wsb.bakuun.com/v1/booking/PushReservationApi/CPBXX"
payload = json.dumps({
"username": "String",
"password": "String",
"partnerId": "String",
"action": "String",
"reservationDetail": {
"propertyID": "",
"propertyName": "",
"reservationID": "",
"reservationStatus": "",
"checkIn": "",
"checkOut": "",
"paymentMethod": "",
"currencyCode": "",
"totalAdult": "",
"totalChild": "",
"childAges": {},
"totalBaby": "",
"babyAges": {},
"roomStays": {
"roomId": "",
"roomName": "",
"roomType": "",
"numberOfUnits": "",
"rateId": "",
"cancelPolicy": "",
"adultCount": "",
"childCount": "",
"childAges": [],
"babyCount": "",
"babyAges": [],
"roomIndex": "",
"resGuestRPH": "",
"bookingPerDayPrices": {
"dateYmd": "",
"price": ""
},
"total": {
"amountAfterTaxes": "",
"amountBeforeTaxes": ""
},
"roomIncServices": []
},
"guestDetails": {
"resGuestRPH": "",
"firstName": "",
"lastName": "",
"middleName": "",
"email": "",
"phone": "",
"address": "",
"country": ""
},
"comment": {
"text": ""
},
"paymentCard": {
"cardHolderName": "",
"cardType": "",
"cardCategory": "",
"cardNumber": "",
"expiryMonth": "",
"expiryYear": "",
"startDayMonth": "",
"startDayYear": "",
"issueNum": "",
"vccBalance": "",
"vccCurrencyCode": "",
"vccDeactivationDate": "",
"vccActivationDate": ""
},
"totalCharge": {
"taxDetails": {
"typeTax": "",
"includes": "",
"taxPrice": "",
"taxDetails": ""
},
"priceDetails": {
"amountAfterTaxes": "",
"amountBeforeTaxes": ""
}
}
}
})
headers = {
'Accept': 'application/json',
'Content-Type': 'application/json'
}
response = requests.request("POST", url, headers=headers, data=payload)
print(response.text)
ruby
require "uri"
require "json"
require "net/http"
url = URI("https://wsb.bakuun.com/v1/booking/PushReservationApi/CPBXX")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Accept"] = "application/json"
request["Content-Type"] = "application/json"
request.body = JSON.dump({
"username": "String",
"password": "String",
"partnerId": "String",
"action": "String",
"reservationDetail": {
"propertyID": "",
"propertyName": "",
"reservationID": "",
"reservationStatus": "",
"checkIn": "",
"checkOut": "",
"paymentMethod": "",
"currencyCode": "",
"totalAdult": "",
"totalChild": "",
"childAges": {},
"totalBaby": "",
"babyAges": {},
"roomStays": {
"roomId": "",
"roomName": "",
"roomType": "",
"numberOfUnits": "",
"rateId": "",
"cancelPolicy": "",
"adultCount": "",
"childCount": "",
"childAges": [],
"babyCount": "",
"babyAges": [],
"roomIndex": "",
"resGuestRPH": "",
"bookingPerDayPrices": {
"dateYmd": "",
"price": ""
},
"total": {
"amountAfterTaxes": "",
"amountBeforeTaxes": ""
},
"roomIncServices": []
},
"guestDetails": {
"resGuestRPH": "",
"firstName": "",
"lastName": "",
"middleName": "",
"email": "",
"phone": "",
"address": "",
"country": ""
},
"comment": {
"text": ""
},
"paymentCard": {
"cardHolderName": "",
"cardType": "",
"cardCategory": "",
"cardNumber": "",
"expiryMonth": "",
"expiryYear": "",
"startDayMonth": "",
"startDayYear": "",
"issueNum": "",
"vccBalance": "",
"vccCurrencyCode": "",
"vccDeactivationDate": "",
"vccActivationDate": ""
},
"totalCharge": {
"taxDetails": {
"typeTax": "",
"includes": "",
"taxPrice": "",
"taxDetails": ""
},
"priceDetails": {
"amountAfterTaxes": "",
"amountBeforeTaxes": ""
}
}
}
})
response = https.request(request)
puts response.read_body
200
{
"success": true
}408
{
"success": false,
"errors": [
{
"code": 408,
"message": "Processing error"
}
]
}415
{
"success": false,
"errors": [
{
"code": 415,
"message": "Invalid authentication key"
}
]
}451
{
"success": false,
"errors": [
{
"code": 476,
"message": "Reservation ID not found"
}
]
}431
{
"success": false,
"errors": [
{
"code": 440,
"message": "Reservation ID not found"
}
]
}429
{
"success": false,
"errors": [
{
"code": 442,
"message": "Endpoint is not active"
}
]
}428
{
"success": false,
"errors": [
{
"code": 454,
"message": "Invalid endpoint"
}
]
}500
{
"success": false,
"errors": [
{
"code": 500,
"message": "Internal server error"
}
]
}502
{
"success": false,
"errors": [
{
"code": 502,
"message": "Bad gateway"
}
]
}503
{
"success": false,
"errors": [
{
"code": 503,
"message": "Service unavailable"
}
]
}504
{
"success": false,
"errors": [
{
"code": 504,
"message": "Endpoint request timed-out"
}
]
}